解决VirtualBox升级到5.2.6后无法启动之前版本关闭的处于休眠状态的芯片组为ICH9的虚拟机报告错误"VERR_SSM_LOAD_CONFIG_MISMATCH"

VirtualBox升级到5.2.6以及之后的版本,无法启动之前版本关闭的处于休眠状态的芯片组为ICH9的虚拟机。

报错信息如下:



这个问题的原因是在5.2.6版本中,官方把ICH9芯片组的部分组件从默认加载修改成了按需加载。但是对于之前版本处于休眠状态的虚拟机来说,由于休眠唤醒的过程缺乏对于这些资源的声明申请过程,导致缺乏必要的组件,而无法正常启动。

解决方法为先降级到5.2.4及其以下的版本,然后启动虚拟机,正常关机,然后升级到最新版本,正常启动即可。

然而,对于macOS Mojave(10.14)来说,没有办法安装5.2.4版本,实际上低于5.2.16版本的都不能正常安装。

原因在于Apple在代码中限制了低于5.2.16版本的内核驱动的安装加载。根据Apple官方的回复,声称是由于早期版本的驱动会导致macOS Mojave系统崩溃。

只能是找一台其他机器(Windows,Linux,macOS(10.14之前的版本)都可以)安装5.2.4版本VirtualBox启动虚拟机,然后关闭虚拟机才行。只是上述的操作对于CPU有要求,必须使用i7以上的Intel CPU才可以,否则在启动的时候会报告CPU特性不匹配,无法启动。

参考链接


发布者

发表评论

电子邮件地址不会被公开。 必填项已用*标注